Bug 127836 - Error pages should not be replaced by updates
Error pages should not be replaced by updates
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: squid (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2004-07-14 11:27 EDT by Ean J. Price
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0045
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 10:41:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ean J. Price 2004-07-14 11:27:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040614 Firefox/0.8

Description of problem:
Error pages that live in /usr/share/squid/errors/English should not be
replaced by RPM if the page has been modified by the user

Version-Release number of selected component (if applicable):
squid-2.5.STABLE3-6.3E

How reproducible:
Always

Steps to Reproduce:
1.rpm -Uvh squid-xxxx.i386.rpm
 -or-
up2date -u 
    

Actual Results:  The modified files were replaced.

Expected Results:  The new versions of the error pages should have
been saved as error_page.rpmnew

Additional info:
Comment 1 Ean J. Price 2004-07-14 11:29:59 EDT
Jay --

If I'd known you were the maintainer I would have hidden the fact that
I posted this on a Windoze machine :)

I'll fix up the spec file and post it later.

Regards,
Ean
Comment 2 Martin Stransky 2005-07-04 08:46:05 EDT
Fix heads to devel...
Comment 5 Martin Stransky 2005-11-15 07:28:09 EST
The new release-candidate packages for RHEL3/4 are available here:

http://people.redhat.com/stransky/squid/
Comment 8 Red Hat Bugzilla 2006-03-15 10:41:42 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0045.html

Note You need to log in before you can comment on or make changes to this bug.